# Interface methods for submodule: FunctionBase
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ObjectProxy as _ObjectProxy


# Interface methods for class: FunctionBase
class FunctionBaseProxy(_ObjectProxy):
	def GetNameOfClass(self):
		""""""
		...

	@overload
	def Evaluate(self, input) -> Sequence[float]:
		""""""
		...

	@overload
	def Evaluate(self, input: float) -> float:
		""""""
		...

	@overload
	def Evaluate(self, input: Image) -> float:
		""""""
		...

	@overload
	def Evaluate(self, input: Sequence[float]) -> Sequence[float]:
		""""""
		...

	@overload
	def Evaluate(self, input: Sequence[float]) -> float:
		""""""
		...

	@overload
	def Evaluate(self, input: Sequence[float]) -> Tuple[int, int, int, int]:
		""""""
		...

	@overload
	def Evaluate(self, input: Sequence[float]) -> Tuple[int, int, int]:
		""""""
		...

